\definecolor{qqqqff}{rgb}{0.,0.,1.}
\definecolor{cqcqcq}{rgb}{0.7529411764705882,0.7529411764705882,0.7529411764705882}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\draw [color=cqcqcq,, xstep=1.0cm,ystep=1.0cm] (-2.0846666666666667,-3.593333333333334) grid (3.87333333333334,2.606666666666668);
\draw[->,color=black] (-2.0846666666666667,0.) -- (3.87333333333334,0.);
\foreach \x in {-2.,-1.,1.,2.,3.}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
\draw[->,color=black] (0.,-3.593333333333334) -- (0.,2.606666666666668);
\foreach \y in {-3.,-2.,-1.,1.,2.}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
\draw[color=black] (0pt,-10pt) node[right] {\footnotesize $0$};
\clip(-2.0846666666666667,-3.593333333333334) rectangle (3.87333333333334,2.606666666666668);
\draw[line width=1.2pt,color=qqqqff,smooth,samples=1000,domain=-2:3] plot(\x,{1.5*sin(deg(pi/2*(((\x)+1)))))*((\x)-2)}) ;
\begin{scriptsize}
\draw[color=qqqqff] (-1.513333333333333,1.506666666666669) node {$\mathcal{C}_f$};
\draw [color=black] (3.,0.)-- ++(-4.5pt,0 pt) -- ++(9.0pt,0 pt) ++(-4.5pt,-4.5pt) -- ++(0 pt,9.0pt);
\draw[color=black] (3.086666666666668,0.3466666666666675) node {$A$};
\end{scriptsize}
\end{tikzpicture}